import {Component, Input, OnInit} from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'of-pages-target-list',
  templateUrl: './target-list-page.component.html',
})
export class TargetListPageComponent implements OnInit {

  @Input() probeID: number;
  pageIdx: number;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute
  ) { }

  ngOnInit() {
    this.activatedRoute.queryParams.subscribe(queryParams => {
      this.pageIdx = Number(queryParams['page']);

      if (this.pageIdx <= 0 || this.pageIdx === undefined || this.pageIdx === null) {
        this.pageIdx = 0;
      }
      // console.log('*****************************************************');
      // console.log(this.pageIdx);
      // console.log('*****************************************************');
    });
    // this.pageIdx = this.activatedRoute.snapshot.queryParams['page'] || 1;
  }

  onPageChange(pageNo: number) {
    // console.log('**********************pageNo*******************************');
    // console.log(pageNo);
    // console.log('**********************pageNo*******************************');
    this.router.navigate(['/probe', this.probeID, 'target'], { queryParams: { page: pageNo } });
  }
}
